Bug 224684 - Review Request: cronolog - Web log rotation program for Apache
Summary: Review Request: cronolog - Web log rotation program for Apache
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-01-27 00:10 UTC by jafo-redhat
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-11 19:00:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkeating: fedora-cvs+


Attachments (Terms of Use)

Description jafo-redhat 2007-01-27 00:10:31 UTC
Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/cronolog.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/cronolog-1.6.2-3.src.rpm
Description: 
cronolog is a simple filter program that reads log file entries from
standard input and writes each entry to the output file specified
by a filename template and the current date and time. When the
expanded filename changes, the current file is closed and a new one
opened. cronolog is intended to be used in conjunction with a Web server,
such as Apache, to split the access log into daily or monthly logs.

Comment 1 Ville Skyttä 2007-01-27 07:56:41 UTC
- "strip src/cronolog" needs to go, let rpmbuild take care of it and produce a
usable debuginfo package.

- Use "make install DESTDIR=..." instead of %makeinstall
http://fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002

- Why is the info file removed instead of being included and properly installed?
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#info

- The man page refers to /www/sbin/cronolog which could be replaced by the
actual installation path, /usr/sbin/cronolog

- Would /usr/bin be a more appropriate install path for cronosplit than /usr/sbin?

- INSTALL is useless in %doc, and should be dropped.

Comment 3 Ville Skyttä 2007-01-27 20:21:34 UTC
Looks good, approved.

Comment 4 Sean Reifschneider 2007-07-06 01:52:13 UTC
New Package CVS Request
=======================
Package Name: cronolog
Short Description: Web log rotation program for Apache
Owners: jafo@tummy.com
Branches: EL-5
InitialCC: 

Comment 5 Jesse Keating 2007-07-06 02:53:07 UTC
Branch 'EL-5' created for module 'cronolog' from branch 'FC-6'

I assume this was a branch request since the module already existed.  Please use
the proper request form next time.


Note You need to log in before you can comment on or make changes to this bug.